[ Maverik Level 1 functions ]

#

mav_paletteTextureMipmappingSet

## Summary

Set the mipmapping of a palette texture.

## Syntax

void mav_paletteTextureMipmappingSet(MAV_palette *p, int index, int v);

- MAV_palette *p
  Palette to set.

- int index
  Index into textures table, in range 0..`mav_opt_maxTextures` (default 150).

- int v
  Mipmapping enabled or not.

## Description

This function controls the mipping of the texture in entry `index` of the texture table in palette `p`. Setting `v` to `MAV_TRUE` enables mipmapping, setting its value to `MAV_FALSE` disabled mipmapping. This function overrides the global mipmapping default, defined by `mav_opt_mipmapping`, for a specfic texture. If a texture is to be mipmapped then this must be specified before the texture is defined.

Back to the index page.